Subject: Can't seem to get bash to work in NTEmacs
From: David Starks-Browning <[email-masked]>
To: "Jeff Rancier" <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Oct 2001 16:09:28 +0100

On Friday 12 Oct 01, Jeff Rancier writes:
> I've read through the FAQ and inserted the *minimal* stuff in my .emacs:
> 
> (setenv "PID" nil)
> (setq exec-path (cons "C:/cygwin/bin" exec-path))
> (setenv "PATH" (concat "C:\\cygwin\\bin;" (getenv "PATH")))
> (setq process-coding-system-alist '(("bash" . undecided-unix)))
> (setq w32-quote-process-args ?\")
> (setq shell-file-name "bash")
> (setenv "SHELL" shell-file-name)
> (setq explicit-shell-file-name shell-file-name)
> (add-hook 'comint-output-filter-functions
>           'comint-strip-ctrl-m)
> 
> 
> But still get the following error(s):
> 
> : : No such file or directory
> 
> Process shell exited abnormally with code 127

*When* do you get this error message?  When you type 'M-x shell'?
What version of Emacs?  Have you installed *all* of Cygwin from
setup.exe or did you pick-and-choose (thus possibly missing
something)?

Where did you get the advice for this:

	(setenv "PID" nil)

and what is it supposed to achieve?  I've never seen it before.  I'd
like to know, as I maintain the FAQ entry "How do I run bash as a
shell under NT Emacs?"

Except for that line, these are the same settings I have in my .emacs,
and I have no difficulty with 'M-x shell'.  Mine is emacs-20.7.1, on
WinNT 4.0.

Thanks for your help.

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/